## org.apache.poi.xssf.usermodel
Class XSSFConditionalFormattingRule

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFConditionalFormattingRule

All Implemented Interfaces:
  ConditionalFormattingRule

    public class XSSFConditionalFormattingRule

extends java.lang.Object
implements ConditionalFormattingRule

Author:
  Yegor Kozlov

Field Summary

Fields inherited from interface org.apache.poi.ss.usermodel.ConditionalFormattingRule
`CONDITION_TYPE_CELL_VALUE_IS, CONDITION_TYPE_FORMULA`

Method Summary
`XSSFBorderFormatting` `createBorderFormatting()` Create a new border formatting structure if it does not exist, otherwise just return existing object.
`XSSFFontFormatting` `createFontFormatting()` Create a new font formatting structure if it does not exist, otherwise just return existing object.
`XSSFPatternFormatting` `createPatternFormatting()` Create a new pattern formatting structure if it does not exist, otherwise just return existing object.
`XSSFBorderFormatting` `getBorderFormatting()`
`byte` `getComparisonOperation()` The comparison function used when the type of conditional formatting is set to `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS`
`byte` `getConditionType()` Type of conditional formatting rule.
`XSSFFontFormatting` `getFontFormatting()`
`java.lang.String` `getFormula1()` The formula used to evaluate the first operand for the conditional formatting rule.
`java.lang.String` `getFormula2()` The formula used to evaluate the second operand of the comparison when comparison type is `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS` and operator is either `ComparisonOperator.BETWEEN` or `ComparisonOperator.NOT_BETWEEN`
`XSSFPatternFormatting` `getPatternFormatting()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createBorderFormatting

    public XSSFBorderFormatting createBorderFormatting()

  Create a new border formatting structure if it does not exist, otherwise just return existing object.

  Specified by:
    `createBorderFormatting` in interface `ConditionalFormattingRule`
  Returns:
    - border formatting object, never returns `null`.

### getBorderFormatting

    public XSSFBorderFormatting getBorderFormatting()

  Specified by:
    `getBorderFormatting` in interface `ConditionalFormattingRule`
  Returns:
    - border formatting object if defined, `null` otherwise

### createFontFormatting

    public XSSFFontFormatting createFontFormatting()

  Create a new font formatting structure if it does not exist, otherwise just return existing object.

  Specified by:
    `createFontFormatting` in interface `ConditionalFormattingRule`
  Returns:
    - font formatting object, never returns `null`.

### getFontFormatting

    public XSSFFontFormatting getFontFormatting()

  Specified by:
    `getFontFormatting` in interface `ConditionalFormattingRule`
  Returns:
    - font formatting object if defined, `null` otherwise

### createPatternFormatting

    public XSSFPatternFormatting createPatternFormatting()

  Create a new pattern formatting structure if it does not exist, otherwise just return existing object.

  Specified by:
    `createPatternFormatting` in interface `ConditionalFormattingRule`
  Returns:
    - pattern formatting object, never returns `null`.

### getPatternFormatting

    public XSSFPatternFormatting getPatternFormatting()

  Specified by:
    `getPatternFormatting` in interface `ConditionalFormattingRule`
  Returns:
    - pattern formatting object if defined, `null` otherwise

### getConditionType

    public byte getConditionType()

  Type of conditional formatting rule.

  MUST be either `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS` or `ConditionalFormattingRule.CONDITION_TYPE_FORMULA`

  Specified by:
    `getConditionType` in interface `ConditionalFormattingRule`
  Returns:
    the type of condition

### getComparisonOperation

    public byte getComparisonOperation()

  The comparison function used when the type of conditional formatting is set to `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS`

  MUST be a constant from `ComparisonOperator`

  Specified by:
    `getComparisonOperation` in interface `ConditionalFormattingRule`
  Returns:
    the conditional format operator

### getFormula1

    public java.lang.String getFormula1()

  The formula used to evaluate the first operand for the conditional formatting rule.

  If the condition type is `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS`, this field is the first operand of the comparison. If type is `ConditionalFormattingRule.CONDITION_TYPE_FORMULA`, this formula is used to determine if the conditional formatting is applied.

  If comparison type is `ConditionalFormattingRule.CONDITION_TYPE_FORMULA` the formula MUST be a Boolean function

  Specified by:
    `getFormula1` in interface `ConditionalFormattingRule`
  Returns:
    the first formula

### getFormula2

    public java.lang.String getFormula2()

  The formula used to evaluate the second operand of the comparison when comparison type is `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS` and operator is either `ComparisonOperator.BETWEEN` or `ComparisonOperator.NOT_BETWEEN`

  Specified by:
    `getFormula2` in interface `ConditionalFormattingRule`
  Returns:
    the second formula

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.